// Code generated by protoc-gen-go. DO NOT EDIT.
// source: point.proto

package point

import (
	context "context"
	fmt "fmt"
	proto "github.com/golang/protobuf/proto"
	grpc "google.golang.org/grpc"
	codes "google.golang.org/grpc/codes"
	status "google.golang.org/grpc/status"
	math "math"
)

// Reference imports to suppress errors if they are not otherwise used.
var _ = proto.Marshal
var _ = fmt.Errorf
var _ = math.Inf

// This is a compile-time assertion to ensure that this generated file
// is compatible with the proto package it is being compiled against.
// A compilation error at this line likely means your copy of the
// proto package needs to be updated.
const _ = proto.ProtoPackageIsVersion3 // please upgrade the proto package

type Trash struct {
	Id                   string   `protobuf:"bytes,1,opt,name=id,proto3" json:"id,omitempty"`
	Name                 string   `protobuf:"bytes,2,opt,name=name,proto3" json:"name,omitempty"`
	Code                 string   `protobuf:"bytes,3,opt,name=code,proto3" json:"code,omitempty"`
	RegularPoint         float64  `protobuf:"fixed64,4,opt,name=regularPoint,proto3" json:"regularPoint,omitempty"`
	SalePoint            float64  `protobuf:"fixed64,5,opt,name=salePoint,proto3" json:"salePoint,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *Trash) Reset()         { *m = Trash{} }
func (m *Trash) String() string { return proto.CompactTextString(m) }
func (*Trash) ProtoMessage()    {}
func (*Trash) Descriptor() ([]byte, []int) {
	return fileDescriptor_dbb1a16d5866e018, []int{0}
}

func (m *Trash) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_Trash.Unmarshal(m, b)
}
func (m *Trash) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_Trash.Marshal(b, m, deterministic)
}
func (m *Trash) XXX_Merge(src proto.Message) {
	xxx_messageInfo_Trash.Merge(m, src)
}
func (m *Trash) XXX_Size() int {
	return xxx_messageInfo_Trash.Size(m)
}
func (m *Trash) XXX_DiscardUnknown() {
	xxx_messageInfo_Trash.DiscardUnknown(m)
}

var xxx_messageInfo_Trash proto.InternalMessageInfo

func (m *Trash) GetId() string {
	if m != nil {
		return m.Id
	}
	return ""
}

func (m *Trash) GetName() string {
	if m != nil {
		return m.Name
	}
	return ""
}

func (m *Trash) GetCode() string {
	if m != nil {
		return m.Code
	}
	return ""
}

func (m *Trash) GetRegularPoint() float64 {
	if m != nil {
		return m.RegularPoint
	}
	return 0
}

func (m *Trash) GetSalePoint() float64 {
	if m != nil {
		return m.SalePoint
	}
	return 0
}

type Bin struct {
	Id                   string   `protobuf:"bytes,1,opt,name=id,proto3" json:"id,omitempty"`
	Name                 string   `protobuf:"bytes,2,opt,name=name,proto3" json:"name,omitempty"`
	Description          string   `protobuf:"bytes,3,opt,name=description,proto3" json:"description,omitempty"`
	Status               string   `protobuf:"bytes,4,opt,name=status,proto3" json:"status,omitempty"`
	Peripheral           string   `protobuf:"bytes,5,opt,name=peripheral,proto3" json:"peripheral,omitempty"`
	Latitude             float64  `protobuf:"fixed64,6,opt,name=latitude,proto3" json:"latitude,omitempty"`
	Longitude            float64  `protobuf:"fixed64,7,opt,name=longitude,proto3" json:"longitude,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *Bin) Reset()         { *m = Bin{} }
func (m *Bin) String() string { return proto.CompactTextString(m) }
func (*Bin) ProtoMessage()    {}
func (*Bin) Descriptor() ([]byte, []int) {
	return fileDescriptor_dbb1a16d5866e018, []int{1}
}

func (m *Bin) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_Bin.Unmarshal(m, b)
}
func (m *Bin) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_Bin.Marshal(b, m, deterministic)
}
func (m *Bin) XXX_Merge(src proto.Message) {
	xxx_messageInfo_Bin.Merge(m, src)
}
func (m *Bin) XXX_Size() int {
	return xxx_messageInfo_Bin.Size(m)
}
func (m *Bin) XXX_DiscardUnknown() {
	xxx_messageInfo_Bin.DiscardUnknown(m)
}

var xxx_messageInfo_Bin proto.InternalMessageInfo

func (m *Bin) GetId() string {
	if m != nil {
		return m.Id
	}
	return ""
}

func (m *Bin) GetName() string {
	if m != nil {
		return m.Name
	}
	return ""
}

func (m *Bin) GetDescription() string {
	if m != nil {
		return m.Description
	}
	return ""
}

func (m *Bin) GetStatus() string {
	if m != nil {
		return m.Status
	}
	return ""
}

func (m *Bin) GetPeripheral() string {
	if m != nil {
		return m.Peripheral
	}
	return ""
}

func (m *Bin) GetLatitude() float64 {
	if m != nil {
		return m.Latitude
	}
	return 0
}

func (m *Bin) GetLongitude() float64 {
	if m != nil {
		return m.Longitude
	}
	return 0
}

type GetNewTrashTodayRequest struct {
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *GetNewTrashTodayRequest) Reset()         { *m = GetNewTrashTodayRequest{} }
func (m *GetNewTrashTodayRequest) String() string { return proto.CompactTextString(m) }
func (*GetNewTrashTodayRequest) ProtoMessage()    {}
func (*GetNewTrashTodayRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_dbb1a16d5866e018, []int{2}
}

func (m *GetNewTrashTodayRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_GetNewTrashTodayRequest.Unmarshal(m, b)
}
func (m *GetNewTrashTodayRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_GetNewTrashTodayRequest.Marshal(b, m, deterministic)
}
func (m *GetNewTrashTodayRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_GetNewTrashTodayRequest.Merge(m, src)
}
func (m *GetNewTrashTodayRequest) XXX_Size() int {
	return xxx_messageInfo_GetNewTrashTodayRequest.Size(m)
}
func (m *GetNewTrashTodayRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_GetNewTrashTodayRequest.DiscardUnknown(m)
}

var xxx_messageInfo_GetNewTrashTodayRequest proto.InternalMessageInfo

type GetNewTrashTodayReply struct {
	Count                int32    `protobuf:"varint,1,opt,name=count,proto3" json:"count,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *GetNewTrashTodayReply) Reset()         { *m = GetNewTrashTodayReply{} }
func (m *GetNewTrashTodayReply) String() string { return proto.CompactTextString(m) }
func (*GetNewTrashTodayReply) ProtoMessage()    {}
func (*GetNewTrashTodayReply) Descriptor() ([]byte, []int) {
	return fileDescriptor_dbb1a16d5866e018, []int{3}
}

func (m *GetNewTrashTodayReply) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_GetNewTrashTodayReply.Unmarshal(m, b)
}
func (m *GetNewTrashTodayReply) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_GetNewTrashTodayReply.Marshal(b, m, deterministic)
}
func (m *GetNewTrashTodayReply) XXX_Merge(src proto.Message) {
	xxx_messageInfo_GetNewTrashTodayReply.Merge(m, src)
}
func (m *GetNewTrashTodayReply) XXX_Size() int {
	return xxx_messageInfo_GetNewTrashTodayReply.Size(m)
}
func (m *GetNewTrashTodayReply) XXX_DiscardUnknown() {
	xxx_messageInfo_GetNewTrashTodayReply.DiscardUnknown(m)
}

var xxx_messageInfo_GetNewTrashTodayReply proto.InternalMessageInfo

func (m *GetNewTrashTodayReply) GetCount() int32 {
	if m != nil {
		return m.Count
	}
	return 0
}

type CreateTrashRequest struct {
	Name                 string   `protobuf:"bytes,1,opt,name=name,proto3" json:"name,omitempty"`
	Code                 string   `protobuf:"bytes,2,opt,name=code,proto3" json:"code,omitempty"`
	RegularPoint         float64  `protobuf:"fixed64,3,opt,name=regularPoint,proto3" json:"regularPoint,omitempty"`
	SalePoint            float64  `protobuf:"fixed64,4,opt,name=salePoint,proto3" json:"salePoint,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *CreateTrashRequest) Reset()         { *m = CreateTrashRequest{} }
func (m *CreateTrashRequest) String() string { return proto.CompactTextString(m) }
func (*CreateTrashRequest) ProtoMessage()    {}
func (*CreateTrashRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_dbb1a16d5866e018, []int{4}
}

func (m *CreateTrashRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_CreateTrashRequest.Unmarshal(m, b)
}
func (m *CreateTrashRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_CreateTrashRequest.Marshal(b, m, deterministic)
}
func (m *CreateTrashRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_CreateTrashRequest.Merge(m, src)
}
func (m *CreateTrashRequest) XXX_Size() int {
	return xxx_messageInfo_CreateTrashRequest.Size(m)
}
func (m *CreateTrashRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_CreateTrashRequest.DiscardUnknown(m)
}

var xxx_messageInfo_CreateTrashRequest proto.InternalMessageInfo

func (m *CreateTrashRequest) GetName() string {
	if m != nil {
		return m.Name
	}
	return ""
}

func (m *CreateTrashRequest) GetCode() string {
	if m != nil {
		return m.Code
	}
	return ""
}

func (m *CreateTrashRequest) GetRegularPoint() float64 {
	if m != nil {
		return m.RegularPoint
	}
	return 0
}

func (m *CreateTrashRequest) GetSalePoint() float64 {
	if m != nil {
		return m.SalePoint
	}
	return 0
}

type CreateTrashReply struct {
	Success              bool     `protobuf:"varint,1,opt,name=success,proto3" json:"success,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *CreateTrashReply) Reset()         { *m = CreateTrashReply{} }
func (m *CreateTrashReply) String() string { return proto.CompactTextString(m) }
func (*CreateTrashReply) ProtoMessage()    {}
func (*CreateTrashReply) Descriptor() ([]byte, []int) {
	return fileDescriptor_dbb1a16d5866e018, []int{5}
}

func (m *CreateTrashReply) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_CreateTrashReply.Unmarshal(m, b)
}
func (m *CreateTrashReply) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_CreateTrashReply.Marshal(b, m, deterministic)
}
func (m *CreateTrashReply) XXX_Merge(src proto.Message) {
	xxx_messageInfo_CreateTrashReply.Merge(m, src)
}
func (m *CreateTrashReply) XXX_Size() int {
	return xxx_messageInfo_CreateTrashReply.Size(m)
}
func (m *CreateTrashReply) XXX_DiscardUnknown() {
	xxx_messageInfo_CreateTrashReply.DiscardUnknown(m)
}

var xxx_messageInfo_CreateTrashReply proto.InternalMessageInfo

func (m *CreateTrashReply) GetSuccess() bool {
	if m != nil {
		return m.Success
	}
	return false
}

type GetTrashesRequest struct {
	Offset               int32    `protobuf:"varint,1,opt,name=offset,proto3" json:"offset,omitempty"`
	Limit                int32    `protobuf:"varint,2,opt,name=limit,proto3" json:"limit,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *GetTrashesRequest) Reset()         { *m = GetTrashesRequest{} }
func (m *GetTrashesRequest) String() string { return proto.CompactTextString(m) }
func (*GetTrashesRequest) ProtoMessage()    {}
func (*GetTrashesRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_dbb1a16d5866e018, []int{6}
}

func (m *GetTrashesRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_GetTrashesRequest.Unmarshal(m, b)
}
func (m *GetTrashesRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_GetTrashesRequest.Marshal(b, m, deterministic)
}
func (m *GetTrashesRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_GetTrashesRequest.Merge(m, src)
}
func (m *GetTrashesRequest) XXX_Size() int {
	return xxx_messageInfo_GetTrashesRequest.Size(m)
}
func (m *GetTrashesRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_GetTrashesRequest.DiscardUnknown(m)
}

var xxx_messageInfo_GetTrashesRequest proto.InternalMessageInfo

func (m *GetTrashesRequest) GetOffset() int32 {
	if m != nil {
		return m.Offset
	}
	return 0
}

func (m *GetTrashesRequest) GetLimit() int32 {
	if m != nil {
		return m.Limit
	}
	return 0
}

type GetTrashesReply struct {
	Trashes              []*Trash `protobuf:"bytes,1,rep,name=trashes,proto3" json:"trashes,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *GetTrashesReply) Reset()         { *m = GetTrashesReply{} }
func (m *GetTrashesReply) String() string { return proto.CompactTextString(m) }
func (*GetTrashesReply) ProtoMessage()    {}
func (*GetTrashesReply) Descriptor() ([]byte, []int) {
	return fileDescriptor_dbb1a16d5866e018, []int{7}
}

func (m *GetTrashesReply) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_GetTrashesReply.Unmarshal(m, b)
}
func (m *GetTrashesReply) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_GetTrashesReply.Marshal(b, m, deterministic)
}
func (m *GetTrashesReply) XXX_Merge(src proto.Message) {
	xxx_messageInfo_GetTrashesReply.Merge(m, src)
}
func (m *GetTrashesReply) XXX_Size() int {
	return xxx_messageInfo_GetTrashesReply.Size(m)
}
func (m *GetTrashesReply) XXX_DiscardUnknown() {
	xxx_messageInfo_GetTrashesReply.DiscardUnknown(m)
}

var xxx_messageInfo_GetTrashesReply proto.InternalMessageInfo

func (m *GetTrashesReply) GetTrashes() []*Trash {
	if m != nil {
		return m.Trashes
	}
	return nil
}

type GetTrashRequest struct {
	TrashID              string   `protobuf:"bytes,1,opt,name=trashID,proto3" json:"trashID,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *GetTrashRequest) Reset()         { *m = GetTrashRequest{} }
func (m *GetTrashRequest) String() string { return proto.CompactTextString(m) }
func (*GetTrashRequest) ProtoMessage()    {}
func (*GetTrashRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_dbb1a16d5866e018, []int{8}
}

func (m *GetTrashRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_GetTrashRequest.Unmarshal(m, b)
}
func (m *GetTrashRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_GetTrashRequest.Marshal(b, m, deterministic)
}
func (m *GetTrashRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_GetTrashRequest.Merge(m, src)
}
func (m *GetTrashRequest) XXX_Size() int {
	return xxx_messageInfo_GetTrashRequest.Size(m)
}
func (m *GetTrashRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_GetTrashRequest.DiscardUnknown(m)
}

var xxx_messageInfo_GetTrashRequest proto.InternalMessageInfo

func (m *GetTrashRequest) GetTrashID() string {
	if m != nil {
		return m.TrashID
	}
	return ""
}

type GetTrashReply struct {
	Trash                *Trash   `protobuf:"bytes,1,opt,name=trash,proto3" json:"trash,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *GetTrashReply) Reset()         { *m = GetTrashReply{} }
func (m *GetTrashReply) String() string { return proto.CompactTextString(m) }
func (*GetTrashReply) ProtoMessage()    {}
func (*GetTrashReply) Descriptor() ([]byte, []int) {
	return fileDescriptor_dbb1a16d5866e018, []int{9}
}

func (m *GetTrashReply) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_GetTrashReply.Unmarshal(m, b)
}
func (m *GetTrashReply) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_GetTrashReply.Marshal(b, m, deterministic)
}
func (m *GetTrashReply) XXX_Merge(src proto.Message) {
	xxx_messageInfo_GetTrashReply.Merge(m, src)
}
func (m *GetTrashReply) XXX_Size() int {
	return xxx_messageInfo_GetTrashReply.Size(m)
}
func (m *GetTrashReply) XXX_DiscardUnknown() {
	xxx_messageInfo_GetTrashReply.DiscardUnknown(m)
}

var xxx_messageInfo_GetTrashReply proto.InternalMessageInfo

func (m *GetTrashReply) GetTrash() *Trash {
	if m != nil {
		return m.Trash
	}
	return nil
}

type UpdateTrashRequest struct {
	TrashID              string   `protobuf:"bytes,1,opt,name=trashID,proto3" json:"trashID,omitempty"`
	Name                 string   `protobuf:"bytes,2,opt,name=name,proto3" json:"name,omitempty"`
	Code                 string   `protobuf:"bytes,3,opt,name=code,proto3" json:"code,omitempty"`
	RegularPoint         float64  `protobuf:"fixed64,4,opt,name=regularPoint,proto3" json:"regularPoint,omitempty"`
	SalePoint            float64  `protobuf:"fixed64,5,opt,name=salePoint,proto3" json:"salePoint,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *UpdateTrashRequest) Reset()         { *m = UpdateTrashRequest{} }
func (m *UpdateTrashRequest) String() string { return proto.CompactTextString(m) }
func (*UpdateTrashRequest) ProtoMessage()    {}
func (*UpdateTrashRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_dbb1a16d5866e018, []int{10}
}

func (m *UpdateTrashRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_UpdateTrashRequest.Unmarshal(m, b)
}
func (m *UpdateTrashRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_UpdateTrashRequest.Marshal(b, m, deterministic)
}
func (m *UpdateTrashRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_UpdateTrashRequest.Merge(m, src)
}
func (m *UpdateTrashRequest) XXX_Size() int {
	return xxx_messageInfo_UpdateTrashRequest.Size(m)
}
func (m *UpdateTrashRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_UpdateTrashRequest.DiscardUnknown(m)
}

var xxx_messageInfo_UpdateTrashRequest proto.InternalMessageInfo

func (m *UpdateTrashRequest) GetTrashID() string {
	if m != nil {
		return m.TrashID
	}
	return ""
}

func (m *UpdateTrashRequest) GetName() string {
	if m != nil {
		return m.Name
	}
	return ""
}

func (m *UpdateTrashRequest) GetCode() string {
	if m != nil {
		return m.Code
	}
	return ""
}

func (m *UpdateTrashRequest) GetRegularPoint() float64 {
	if m != nil {
		return m.RegularPoint
	}
	return 0
}

func (m *UpdateTrashRequest) GetSalePoint() float64 {
	if m != nil {
		return m.SalePoint
	}
	return 0
}

type UpdateTrashReply struct {
	Success              bool     `protobuf:"varint,1,opt,name=success,proto3" json:"success,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *UpdateTrashReply) Reset()         { *m = UpdateTrashReply{} }
func (m *UpdateTrashReply) String() string { return proto.CompactTextString(m) }
func (*UpdateTrashReply) ProtoMessage()    {}
func (*UpdateTrashReply) Descriptor() ([]byte, []int) {
	return fileDescriptor_dbb1a16d5866e018, []int{11}
}

func (m *UpdateTrashReply) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_UpdateTrashReply.Unmarshal(m, b)
}
func (m *UpdateTrashReply) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_UpdateTrashReply.Marshal(b, m, deterministic)
}
func (m *UpdateTrashReply) XXX_Merge(src proto.Message) {
	xxx_messageInfo_UpdateTrashReply.Merge(m, src)
}
func (m *UpdateTrashReply) XXX_Size() int {
	return xxx_messageInfo_UpdateTrashReply.Size(m)
}
func (m *UpdateTrashReply) XXX_DiscardUnknown() {
	xxx_messageInfo_UpdateTrashReply.DiscardUnknown(m)
}

var xxx_messageInfo_UpdateTrashReply proto.InternalMessageInfo

func (m *UpdateTrashReply) GetSuccess() bool {
	if m != nil {
		return m.Success
	}
	return false
}

type DeleteTrashRequest struct {
	TrashID              string   `protobuf:"bytes,1,opt,name=trashID,proto3" json:"trashID,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *DeleteTrashRequest) Reset()         { *m = DeleteTrashRequest{} }
func (m *DeleteTrashRequest) String() string { return proto.CompactTextString(m) }
func (*DeleteTrashRequest) ProtoMessage()    {}
func (*DeleteTrashRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_dbb1a16d5866e018, []int{12}
}

func (m *DeleteTrashRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_DeleteTrashRequest.Unmarshal(m, b)
}
func (m *DeleteTrashRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_DeleteTrashRequest.Marshal(b, m, deterministic)
}
func (m *DeleteTrashRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_DeleteTrashRequest.Merge(m, src)
}
func (m *DeleteTrashRequest) XXX_Size() int {
	return xxx_messageInfo_DeleteTrashRequest.Size(m)
}
func (m *DeleteTrashRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_DeleteTrashRequest.DiscardUnknown(m)
}

var xxx_messageInfo_DeleteTrashRequest proto.InternalMessageInfo

func (m *DeleteTrashRequest) GetTrashID() string {
	if m != nil {
		return m.TrashID
	}
	return ""
}

type DeleteTrashReply struct {
	Success              bool     `protobuf:"varint,1,opt,name=success,proto3" json:"success,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *DeleteTrashReply) Reset()         { *m = DeleteTrashReply{} }
func (m *DeleteTrashReply) String() string { return proto.CompactTextString(m) }
func (*DeleteTrashReply) ProtoMessage()    {}
func (*DeleteTrashReply) Descriptor() ([]byte, []int) {
	return fileDescriptor_dbb1a16d5866e018, []int{13}
}

func (m *DeleteTrashReply) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_DeleteTrashReply.Unmarshal(m, b)
}
func (m *DeleteTrashReply) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_DeleteTrashReply.Marshal(b, m, deterministic)
}
func (m *DeleteTrashReply) XXX_Merge(src proto.Message) {
	xxx_messageInfo_DeleteTrashReply.Merge(m, src)
}
func (m *DeleteTrashReply) XXX_Size() int {
	return xxx_messageInfo_DeleteTrashReply.Size(m)
}
func (m *DeleteTrashReply) XXX_DiscardUnknown() {
	xxx_messageInfo_DeleteTrashReply.DiscardUnknown(m)
}

var xxx_messageInfo_DeleteTrashReply proto.InternalMessageInfo

func (m *DeleteTrashReply) GetSuccess() bool {
	if m != nil {
		return m.Success
	}
	return false
}

type CreateBinRequest struct {
	Name                 string   `protobuf:"bytes,1,opt,name=name,proto3" json:"name,omitempty"`
	Description          string   `protobuf:"bytes,2,opt,name=description,proto3" json:"description,omitempty"`
	Peripheral           string   `protobuf:"bytes,3,opt,name=peripheral,proto3" json:"peripheral,omitempty"`
	Status               string   `protobuf:"bytes,4,opt,name=status,proto3" json:"status,omitempty"`
	Latitude             float64  `protobuf:"fixed64,5,opt,name=latitude,proto3" json:"latitude,omitempty"`
	Longitude            float64  `protobuf:"fixed64,6,opt,name=longitude,proto3" json:"longitude,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *CreateBinRequest) Reset()         { *m = CreateBinRequest{} }
func (m *CreateBinRequest) String() string { return proto.CompactTextString(m) }
func (*CreateBinRequest) ProtoMessage()    {}
func (*CreateBinRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_dbb1a16d5866e018, []int{14}
}

func (m *CreateBinRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_CreateBinRequest.Unmarshal(m, b)
}
func (m *CreateBinRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_CreateBinRequest.Marshal(b, m, deterministic)
}
func (m *CreateBinRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_CreateBinRequest.Merge(m, src)
}
func (m *CreateBinRequest) XXX_Size() int {
	return xxx_messageInfo_CreateBinRequest.Size(m)
}
func (m *CreateBinRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_CreateBinRequest.DiscardUnknown(m)
}

var xxx_messageInfo_CreateBinRequest proto.InternalMessageInfo

func (m *CreateBinRequest) GetName() string {
	if m != nil {
		return m.Name
	}
	return ""
}

func (m *CreateBinRequest) GetDescription() string {
	if m != nil {
		return m.Description
	}
	return ""
}

func (m *CreateBinRequest) GetPeripheral() string {
	if m != nil {
		return m.Peripheral
	}
	return ""
}

func (m *CreateBinRequest) GetStatus() string {
	if m != nil {
		return m.Status
	}
	return ""
}

func (m *CreateBinRequest) GetLatitude() float64 {
	if m != nil {
		return m.Latitude
	}
	return 0
}

func (m *CreateBinRequest) GetLongitude() float64 {
	if m != nil {
		return m.Longitude
	}
	return 0
}

type CreateBinReply struct {
	Success              bool     `protobuf:"varint,1,opt,name=success,proto3" json:"success,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *CreateBinReply) Reset()         { *m = CreateBinReply{} }
func (m *CreateBinReply) String() string { return proto.CompactTextString(m) }
func (*CreateBinReply) ProtoMessage()    {}
func (*CreateBinReply) Descriptor() ([]byte, []int) {
	return fileDescriptor_dbb1a16d5866e018, []int{15}
}

func (m *CreateBinReply) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_CreateBinReply.Unmarshal(m, b)
}
func (m *CreateBinReply) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_CreateBinReply.Marshal(b, m, deterministic)
}
func (m *CreateBinReply) XXX_Merge(src proto.Message) {
	xxx_messageInfo_CreateBinReply.Merge(m, src)
}
func (m *CreateBinReply) XXX_Size() int {
	return xxx_messageInfo_CreateBinReply.Size(m)
}
func (m *CreateBinReply) XXX_DiscardUnknown() {
	xxx_messageInfo_CreateBinReply.DiscardUnknown(m)
}

var xxx_messageInfo_CreateBinReply proto.InternalMessageInfo

func (m *CreateBinReply) GetSuccess() bool {
	if m != nil {
		return m.Success
	}
	return false
}

type GetBinsRequest struct {
	Offset               int32    `protobuf:"varint,1,opt,name=offset,proto3" json:"offset,omitempty"`
	Limit                int32    `protobuf:"varint,2,opt,name=limit,proto3" json:"limit,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *GetBinsRequest) Reset()         { *m = GetBinsRequest{} }
func (m *GetBinsRequest) String() string { return proto.CompactTextString(m) }
func (*GetBinsRequest) ProtoMessage()    {}
func (*GetBinsRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_dbb1a16d5866e018, []int{16}
}

func (m *GetBinsRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_GetBinsRequest.Unmarshal(m, b)
}
func (m *GetBinsRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_GetBinsRequest.Marshal(b, m, deterministic)
}
func (m *GetBinsRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_GetBinsRequest.Merge(m, src)
}
func (m *GetBinsRequest) XXX_Size() int {
	return xxx_messageInfo_GetBinsRequest.Size(m)
}
func (m *GetBinsRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_GetBinsRequest.DiscardUnknown(m)
}

var xxx_messageInfo_GetBinsRequest proto.InternalMessageInfo

func (m *GetBinsRequest) GetOffset() int32 {
	if m != nil {
		return m.Offset
	}
	return 0
}

func (m *GetBinsRequest) GetLimit() int32 {
	if m != nil {
		return m.Limit
	}
	return 0
}

type GetBinsReply struct {
	Bins                 []*Bin   `protobuf:"bytes,1,rep,name=bins,proto3" json:"bins,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *GetBinsReply) Reset()         { *m = GetBinsReply{} }
func (m *GetBinsReply) String() string { return proto.CompactTextString(m) }
func (*GetBinsReply) ProtoMessage()    {}
func (*GetBinsReply) Descriptor() ([]byte, []int) {
	return fileDescriptor_dbb1a16d5866e018, []int{17}
}

func (m *GetBinsReply) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_GetBinsReply.Unmarshal(m, b)
}
func (m *GetBinsReply) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_GetBinsReply.Marshal(b, m, deterministic)
}
func (m *GetBinsReply) XXX_Merge(src proto.Message) {
	xxx_messageInfo_GetBinsReply.Merge(m, src)
}
func (m *GetBinsReply) XXX_Size() int {
	return xxx_messageInfo_GetBinsReply.Size(m)
}
func (m *GetBinsReply) XXX_DiscardUnknown() {
	xxx_messageInfo_GetBinsReply.DiscardUnknown(m)
}

var xxx_messageInfo_GetBinsReply proto.InternalMessageInfo

func (m *GetBinsReply) GetBins() []*Bin {
	if m != nil {
		return m.Bins
	}
	return nil
}

type GetBinRequest struct {
	BinID                string   `protobuf:"bytes,1,opt,name=binID,proto3" json:"binID,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *GetBinRequest) Reset()         { *m = GetBinRequest{} }
func (m *GetBinRequest) String() string { return proto.CompactTextString(m) }
func (*GetBinRequest) ProtoMessage()    {}
func (*GetBinRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_dbb1a16d5866e018, []int{18}
}

func (m *GetBinRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_GetBinRequest.Unmarshal(m, b)
}
func (m *GetBinRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_GetBinRequest.Marshal(b, m, deterministic)
}
func (m *GetBinRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_GetBinRequest.Merge(m, src)
}
func (m *GetBinRequest) XXX_Size() int {
	return xxx_messageInfo_GetBinRequest.Size(m)
}
func (m *GetBinRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_GetBinRequest.DiscardUnknown(m)
}

var xxx_messageInfo_GetBinRequest proto.InternalMessageInfo

func (m *GetBinRequest) GetBinID() string {
	if m != nil {
		return m.BinID
	}
	return ""
}

type GetBinReply struct {
	Bin                  *Bin     `protobuf:"bytes,1,opt,name=bin,proto3" json:"bin,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *GetBinReply) Reset()         { *m = GetBinReply{} }
func (m *GetBinReply) String() string { return proto.CompactTextString(m) }
func (*GetBinReply) ProtoMessage()    {}
func (*GetBinReply) Descriptor() ([]byte, []int) {
	return fileDescriptor_dbb1a16d5866e018, []int{19}
}

func (m *GetBinReply) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_GetBinReply.Unmarshal(m, b)
}
func (m *GetBinReply) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_GetBinReply.Marshal(b, m, deterministic)
}
func (m *GetBinReply) XXX_Merge(src proto.Message) {
	xxx_messageInfo_GetBinReply.Merge(m, src)
}
func (m *GetBinReply) XXX_Size() int {
	return xxx_messageInfo_GetBinReply.Size(m)
}
func (m *GetBinReply) XXX_DiscardUnknown() {
	xxx_messageInfo_GetBinReply.DiscardUnknown(m)
}

var xxx_messageInfo_GetBinReply proto.InternalMessageInfo

func (m *GetBinReply) GetBin() *Bin {
	if m != nil {
		return m.Bin
	}
	return nil
}

type UpdateBinRequest struct {
	BinID                string   `protobuf:"bytes,1,opt,name=binID,proto3" json:"binID,omitempty"`
	Name                 string   `protobuf:"bytes,2,opt,name=name,proto3" json:"name,omitempty"`
	Description          string   `protobuf:"bytes,3,opt,name=description,proto3" json:"description,omitempty"`
	Peripheral           string   `protobuf:"bytes,4,opt,name=peripheral,proto3" json:"peripheral,omitempty"`
	Status               string   `protobuf:"bytes,5,opt,name=status,proto3" json:"status,omitempty"`
	Latitude             float64  `protobuf:"fixed64,6,opt,name=latitude,proto3" json:"latitude,omitempty"`
	Longitude            float64  `protobuf:"fixed64,7,opt,name=longitude,proto3" json:"longitude,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *UpdateBinRequest) Reset()         { *m = UpdateBinRequest{} }
func (m *UpdateBinRequest) String() string { return proto.CompactTextString(m) }
func (*UpdateBinRequest) ProtoMessage()    {}
func (*UpdateBinRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_dbb1a16d5866e018, []int{20}
}

func (m *UpdateBinRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_UpdateBinRequest.Unmarshal(m, b)
}
func (m *UpdateBinRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_UpdateBinRequest.Marshal(b, m, deterministic)
}
func (m *UpdateBinRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_UpdateBinRequest.Merge(m, src)
}
func (m *UpdateBinRequest) XXX_Size() int {
	return xxx_messageInfo_UpdateBinRequest.Size(m)
}
func (m *UpdateBinRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_UpdateBinRequest.DiscardUnknown(m)
}

var xxx_messageInfo_UpdateBinRequest proto.InternalMessageInfo

func (m *UpdateBinRequest) GetBinID() string {
	if m != nil {
		return m.BinID
	}
	return ""
}

func (m *UpdateBinRequest) GetName() string {
	if m != nil {
		return m.Name
	}
	return ""
}

func (m *UpdateBinRequest) GetDescription() string {
	if m != nil {
		return m.Description
	}
	return ""
}

func (m *UpdateBinRequest) GetPeripheral() string {
	if m != nil {
		return m.Peripheral
	}
	return ""
}

func (m *UpdateBinRequest) GetStatus() string {
	if m != nil {
		return m.Status
	}
	return ""
}

func (m *UpdateBinRequest) GetLatitude() float64 {
	if m != nil {
		return m.Latitude
	}
	return 0
}

func (m *UpdateBinRequest) GetLongitude() float64 {
	if m != nil {
		return m.Longitude
	}
	return 0
}

type UpdateBinReply struct {
	Success              bool     `protobuf:"varint,1,opt,name=success,proto3" json:"success,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *UpdateBinReply) Reset()         { *m = UpdateBinReply{} }
func (m *UpdateBinReply) String() string { return proto.CompactTextString(m) }
func (*UpdateBinReply) ProtoMessage()    {}
func (*UpdateBinReply) Descriptor() ([]byte, []int) {
	return fileDescriptor_dbb1a16d5866e018, []int{21}
}

func (m *UpdateBinReply) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_UpdateBinReply.Unmarshal(m, b)
}
func (m *UpdateBinReply) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_UpdateBinReply.Marshal(b, m, deterministic)
}
func (m *UpdateBinReply) XXX_Merge(src proto.Message) {
	xxx_messageInfo_UpdateBinReply.Merge(m, src)
}
func (m *UpdateBinReply) XXX_Size() int {
	return xxx_messageInfo_UpdateBinReply.Size(m)
}
func (m *UpdateBinReply) XXX_DiscardUnknown() {
	xxx_messageInfo_UpdateBinReply.DiscardUnknown(m)
}

var xxx_messageInfo_UpdateBinReply proto.InternalMessageInfo

func (m *UpdateBinReply) GetSuccess() bool {
	if m != nil {
		return m.Success
	}
	return false
}

type DeleteBinRequest struct {
	BinID                string   `protobuf:"bytes,1,opt,name=binID,proto3" json:"binID,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *DeleteBinRequest) Reset()         { *m = DeleteBinRequest{} }
func (m *DeleteBinRequest) String() string { return proto.CompactTextString(m) }
func (*DeleteBinRequest) ProtoMessage()    {}
func (*DeleteBinRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_dbb1a16d5866e018, []int{22}
}

func (m *DeleteBinRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_DeleteBinRequest.Unmarshal(m, b)
}
func (m *DeleteBinRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_DeleteBinRequest.Marshal(b, m, deterministic)
}
func (m *DeleteBinRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_DeleteBinRequest.Merge(m, src)
}
func (m *DeleteBinRequest) XXX_Size() int {
	return xxx_messageInfo_DeleteBinRequest.Size(m)
}
func (m *DeleteBinRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_DeleteBinRequest.DiscardUnknown(m)
}

var xxx_messageInfo_DeleteBinRequest proto.InternalMessageInfo

func (m *DeleteBinRequest) GetBinID() string {
	if m != nil {
		return m.BinID
	}
	return ""
}

type DeleteBinReply struct {
	Success              bool     `protobuf:"varint,1,opt,name=success,proto3" json:"success,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *DeleteBinReply) Reset()         { *m = DeleteBinReply{} }
func (m *DeleteBinReply) String() string { return proto.CompactTextString(m) }
func (*DeleteBinReply) ProtoMessage()    {}
func (*DeleteBinReply) Descriptor() ([]byte, []int) {
	return fileDescriptor_dbb1a16d5866e018, []int{23}
}

func (m *DeleteBinReply) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_DeleteBinReply.Unmarshal(m, b)
}
func (m *DeleteBinReply) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_DeleteBinReply.Marshal(b, m, deterministic)
}
func (m *DeleteBinReply) XXX_Merge(src proto.Message) {
	xxx_messageInfo_DeleteBinReply.Merge(m, src)
}
func (m *DeleteBinReply) XXX_Size() int {
	return xxx_messageInfo_DeleteBinReply.Size(m)
}
func (m *DeleteBinReply) XXX_DiscardUnknown() {
	xxx_messageInfo_DeleteBinReply.DiscardUnknown(m)
}

var xxx_messageInfo_DeleteBinReply proto.InternalMessageInfo

func (m *DeleteBinReply) GetSuccess() bool {
	if m != nil {
		return m.Success
	}
	return false
}

type GetTrashByCodeRequest struct {
	Code                 string   `protobuf:"bytes,1,opt,name=code,proto3" json:"code,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *GetTrashByCodeRequest) Reset()         { *m = GetTrashByCodeRequest{} }
func (m *GetTrashByCodeRequest) String() string { return proto.CompactTextString(m) }
func (*GetTrashByCodeRequest) ProtoMessage()    {}
func (*GetTrashByCodeRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_dbb1a16d5866e018, []int{24}
}

func (m *GetTrashByCodeRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_GetTrashByCodeRequest.Unmarshal(m, b)
}
func (m *GetTrashByCodeRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_GetTrashByCodeRequest.Marshal(b, m, deterministic)
}
func (m *GetTrashByCodeRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_GetTrashByCodeRequest.Merge(m, src)
}
func (m *GetTrashByCodeRequest) XXX_Size() int {
	return xxx_messageInfo_GetTrashByCodeRequest.Size(m)
}
func (m *GetTrashByCodeRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_GetTrashByCodeRequest.DiscardUnknown(m)
}

var xxx_messageInfo_GetTrashByCodeRequest proto.InternalMessageInfo

func (m *GetTrashByCodeRequest) GetCode() string {
	if m != nil {
		return m.Code
	}
	return ""
}

type GetTrashByCodeReply struct {
	Trash                *Trash   `protobuf:"bytes,1,opt,name=trash,proto3" json:"trash,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *GetTrashByCodeReply) Reset()         { *m = GetTrashByCodeReply{} }
func (m *GetTrashByCodeReply) String() string { return proto.CompactTextString(m) }
func (*GetTrashByCodeReply) ProtoMessage()    {}
func (*GetTrashByCodeReply) Descriptor() ([]byte, []int) {
	return fileDescriptor_dbb1a16d5866e018, []int{25}
}

func (m *GetTrashByCodeReply) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_GetTrashByCodeReply.Unmarshal(m, b)
}
func (m *GetTrashByCodeReply) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_GetTrashByCodeReply.Marshal(b, m, deterministic)
}
func (m *GetTrashByCodeReply) XXX_Merge(src proto.Message) {
	xxx_messageInfo_GetTrashByCodeReply.Merge(m, src)
}
func (m *GetTrashByCodeReply) XXX_Size() int {
	return xxx_messageInfo_GetTrashByCodeReply.Size(m)
}
func (m *GetTrashByCodeReply) XXX_DiscardUnknown() {
	xxx_messageInfo_GetTrashByCodeReply.DiscardUnknown(m)
}

var xxx_messageInfo_GetTrashByCodeReply proto.InternalMessageInfo

func (m *GetTrashByCodeReply) GetTrash() *Trash {
	if m != nil {
		return m.Trash
	}
	return nil
}

type CollectPointRequest struct {
	UserID               string   `protobuf:"bytes,1,opt,name=userID,proto3" json:"userID,omitempty"`
	TrashCodes           []string `protobuf:"bytes,2,rep,name=trashCodes,proto3" json:"trashCodes,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *CollectPointRequest) Reset()         { *m = CollectPointRequest{} }
func (m *CollectPointRequest) String() string { return proto.CompactTextString(m) }
func (*CollectPointRequest) ProtoMessage()    {}
func (*CollectPointRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_dbb1a16d5866e018, []int{26}
}

func (m *CollectPointRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_CollectPointRequest.Unmarshal(m, b)
}
func (m *CollectPointRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_CollectPointRequest.Marshal(b, m, deterministic)
}
func (m *CollectPointRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_CollectPointRequest.Merge(m, src)
}
func (m *CollectPointRequest) XXX_Size() int {
	return xxx_messageInfo_CollectPointRequest.Size(m)
}
func (m *CollectPointRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_CollectPointRequest.DiscardUnknown(m)
}

var xxx_messageInfo_CollectPointRequest proto.InternalMessageInfo

func (m *CollectPointRequest) GetUserID() string {
	if m != nil {
		return m.UserID
	}
	return ""
}

func (m *CollectPointRequest) GetTrashCodes() []string {
	if m != nil {
		return m.TrashCodes
	}
	return nil
}

type CollectPointReply struct {
	Success              bool     `protobuf:"varint,1,opt,name=success,proto3" json:"success,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *CollectPointReply) Reset()         { *m = CollectPointReply{} }
func (m *CollectPointReply) String() string { return proto.CompactTextString(m) }
func (*CollectPointReply) ProtoMessage()    {}
func (*CollectPointReply) Descriptor() ([]byte, []int) {
	return fileDescriptor_dbb1a16d5866e018, []int{27}
}

func (m *CollectPointReply) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_CollectPointReply.Unmarshal(m, b)
}
func (m *CollectPointReply) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_CollectPointReply.Marshal(b, m, deterministic)
}
func (m *CollectPointReply) XXX_Merge(src proto.Message) {
	xxx_messageInfo_CollectPointReply.Merge(m, src)
}
func (m *CollectPointReply) XXX_Size() int {
	return xxx_messageInfo_CollectPointReply.Size(m)
}
func (m *CollectPointReply) XXX_DiscardUnknown() {
	xxx_messageInfo_CollectPointReply.DiscardUnknown(m)
}

var xxx_messageInfo_CollectPointReply proto.InternalMessageInfo

func (m *CollectPointReply) GetSuccess() bool {
	if m != nil {
		return m.Success
	}
	return false
}

type TransferPointRequest struct {
	UserID               string   `protobuf:"bytes,1,opt,name=userID,proto3" json:"userID,omitempty"`
	Phone                string   `protobuf:"bytes,2,opt,name=phone,proto3" json:"phone,omitempty"`
	Point                float64  `protobuf:"fixed64,3,opt,name=point,proto3" json:"point,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *TransferPointRequest) Reset()         { *m = TransferPointRequest{} }
func (m *TransferPointRequest) String() string { return proto.CompactTextString(m) }
func (*TransferPointRequest) ProtoMessage()    {}
func (*TransferPointRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_dbb1a16d5866e018, []int{28}
}

func (m *TransferPointRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_TransferPointRequest.Unmarshal(m, b)
}
func (m *TransferPointRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_TransferPointRequest.Marshal(b, m, deterministic)
}
func (m *TransferPointRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_TransferPointRequest.Merge(m, src)
}
func (m *TransferPointRequest) XXX_Size() int {
	return xxx_messageInfo_TransferPointRequest.Size(m)
}
func (m *TransferPointRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_TransferPointRequest.DiscardUnknown(m)
}

var xxx_messageInfo_TransferPointRequest proto.InternalMessageInfo

func (m *TransferPointRequest) GetUserID() string {
	if m != nil {
		return m.UserID
	}
	return ""
}

func (m *TransferPointRequest) GetPhone() string {
	if m != nil {
		return m.Phone
	}
	return ""
}

func (m *TransferPointRequest) GetPoint() float64 {
	if m != nil {
		return m.Point
	}
	return 0
}

type TransferPointReply struct {
	Success              bool     `protobuf:"varint,1,opt,name=success,proto3" json:"success,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *TransferPointReply) Reset()         { *m = TransferPointReply{} }
func (m *TransferPointReply) String() string { return proto.CompactTextString(m) }
func (*TransferPointReply) ProtoMessage()    {}
func (*TransferPointReply) Descriptor() ([]byte, []int) {
	return fileDescriptor_dbb1a16d5866e018, []int{29}
}

func (m *TransferPointReply) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_TransferPointReply.Unmarshal(m, b)
}
func (m *TransferPointReply) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_TransferPointReply.Marshal(b, m, deterministic)
}
func (m *TransferPointReply) XXX_Merge(src proto.Message) {
	xxx_messageInfo_TransferPointReply.Merge(m, src)
}
func (m *TransferPointReply) XXX_Size() int {
	return xxx_messageInfo_TransferPointReply.Size(m)
}
func (m *TransferPointReply) XXX_DiscardUnknown() {
	xxx_messageInfo_TransferPointReply.DiscardUnknown(m)
}

var xxx_messageInfo_TransferPointReply proto.InternalMessageInfo

func (m *TransferPointReply) GetSuccess() bool {
	if m != nil {
		return m.Success
	}
	return false
}

func init() {
	proto.RegisterType((*Trash)(nil), "Trash")
	proto.RegisterType((*Bin)(nil), "Bin")
	proto.RegisterType((*GetNewTrashTodayRequest)(nil), "GetNewTrashTodayRequest")
	proto.RegisterType((*GetNewTrashTodayReply)(nil), "GetNewTrashTodayReply")
	proto.RegisterType((*CreateTrashRequest)(nil), "CreateTrashRequest")
	proto.RegisterType((*CreateTrashReply)(nil), "CreateTrashReply")
	proto.RegisterType((*GetTrashesRequest)(nil), "GetTrashesRequest")
	proto.RegisterType((*GetTrashesReply)(nil), "GetTrashesReply")
	proto.RegisterType((*GetTrashRequest)(nil), "GetTrashRequest")
	proto.RegisterType((*GetTrashReply)(nil), "GetTrashReply")
	proto.RegisterType((*UpdateTrashRequest)(nil), "UpdateTrashRequest")
	proto.RegisterType((*UpdateTrashReply)(nil), "UpdateTrashReply")
	proto.RegisterType((*DeleteTrashRequest)(nil), "DeleteTrashRequest")
	proto.RegisterType((*DeleteTrashReply)(nil), "DeleteTrashReply")
	proto.RegisterType((*CreateBinRequest)(nil), "CreateBinRequest")
	proto.RegisterType((*CreateBinReply)(nil), "CreateBinReply")
	proto.RegisterType((*GetBinsRequest)(nil), "GetBinsRequest")
	proto.RegisterType((*GetBinsReply)(nil), "GetBinsReply")
	proto.RegisterType((*GetBinRequest)(nil), "GetBinRequest")
	proto.RegisterType((*GetBinReply)(nil), "GetBinReply")
	proto.RegisterType((*UpdateBinRequest)(nil), "UpdateBinRequest")
	proto.RegisterType((*UpdateBinReply)(nil), "UpdateBinReply")
	proto.RegisterType((*DeleteBinRequest)(nil), "DeleteBinRequest")
	proto.RegisterType((*DeleteBinReply)(nil), "DeleteBinReply")
	proto.RegisterType((*GetTrashByCodeRequest)(nil), "GetTrashByCodeRequest")
	proto.RegisterType((*GetTrashByCodeReply)(nil), "GetTrashByCodeReply")
	proto.RegisterType((*CollectPointRequest)(nil), "CollectPointRequest")
	proto.RegisterType((*CollectPointReply)(nil), "CollectPointReply")
	proto.RegisterType((*TransferPointRequest)(nil), "TransferPointRequest")
	proto.RegisterType((*TransferPointReply)(nil), "TransferPointReply")
}

func init() { proto.RegisterFile("point.proto", fileDescriptor_dbb1a16d5866e018) }

var fileDescriptor_dbb1a16d5866e018 = []byte{
	// 918 bytes of a gzipped FileDescriptorProto
	0x1f, 0x8b, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xff, 0xbc, 0x56, 0x51, 0x6f, 0xe3, 0x44,
	0x10, 0xb6, 0x93, 0x38, 0x6d, 0x26, 0x69, 0xda, 0x4c, 0x72, 0xc1, 0x58, 0x27, 0x14, 0xad, 0x74,
	0x52, 0xd4, 0x5e, 0x57, 0xe2, 0x8a, 0x84, 0x84, 0x04, 0x82, 0xf6, 0x44, 0xc5, 0x03, 0x08, 0x85,
	0xf2, 0xc2, 0x9b, 0x9b, 0x6c, 0xaf, 0x96, 0x7c, 0xb6, 0xb1, 0x1d, 0x50, 0x5f, 0x90, 0xf8, 0x0f,
	0x3c, 0xf0, 0x5b, 0x90, 0xf8, 0x0f, 0xfc, 0x24, 0xb4, 0xbb, 0x5e, 0x7b, 0xd7, 0x4e, 0x9d, 0xd2,
	0x07, 0xde, 0x32, 0xe3, 0xd9, 0xd9, 0x6f, 0x76, 0xe6, 0x9b, 0x2f, 0x30, 0x4c, 0xe2, 0x20, 0xca,
	0x69, 0x92, 0xc6, 0x79, 0x4c, 0x7e, 0xb7, 0xc1, 0xb9, 0x49, 0xfd, 0xec, 0x1e, 0xc7, 0xd0, 0x09,
	0x36, 0xae, 0xbd, 0xb0, 0x97, 0x83, 0x55, 0x27, 0xd8, 0x20, 0x42, 0x2f, 0xf2, 0xdf, 0x33, 0xb7,
	0x23, 0x3c, 0xe2, 0x37, 0xf7, 0xad, 0xe3, 0x0d, 0x73, 0xbb, 0xd2, 0xc7, 0x7f, 0x23, 0x81, 0x51,
	0xca, 0xde, 0x6d, 0x43, 0x3f, 0xfd, 0x9e, 0xe7, 0x75, 0x7b, 0x0b, 0x7b, 0x69, 0xaf, 0x0c, 0x1f,
	0xbe, 0x84, 0x41, 0xe6, 0x87, 0x4c, 0x06, 0x38, 0x22, 0xa0, 0x72, 0x90, 0xbf, 0x6d, 0xe8, 0x5e,
	0x06, 0xd1, 0x93, 0x10, 0x2c, 0x60, 0xb8, 0x61, 0xd9, 0x3a, 0x0d, 0x92, 0x3c, 0x88, 0xa3, 0x02,
	0x88, 0xee, 0xc2, 0x39, 0xf4, 0xb3, 0xdc, 0xcf, 0xb7, 0x99, 0x40, 0x32, 0x58, 0x15, 0x16, 0x7e,
	0x04, 0x90, 0xb0, 0x34, 0x48, 0xee, 0x59, 0xea, 0x87, 0x02, 0xc4, 0x60, 0xa5, 0x79, 0xd0, 0x83,
	0xc3, 0xd0, 0xcf, 0x83, 0x7c, 0xbb, 0x61, 0x6e, 0x5f, 0x40, 0x2c, 0x6d, 0x8e, 0x3f, 0x8c, 0xa3,
	0x77, 0xf2, 0xe3, 0x81, 0xc4, 0x5f, 0x3a, 0xc8, 0x87, 0xf0, 0xc1, 0x35, 0xcb, 0xbf, 0x63, 0xbf,
	0x8a, 0x87, 0xbc, 0x89, 0x37, 0xfe, 0xc3, 0x8a, 0xfd, 0xbc, 0x65, 0x59, 0x4e, 0xce, 0xe1, 0x45,
	0xf3, 0x53, 0x12, 0x3e, 0xe0, 0x0c, 0x9c, 0x75, 0xbc, 0x8d, 0x72, 0x51, 0xae, 0xb3, 0x92, 0x06,
	0xf9, 0x0d, 0xf0, 0x2a, 0x65, 0x7e, 0xce, 0x44, 0x78, 0x91, 0xa4, 0x7c, 0x07, 0x7b, 0x47, 0x27,
	0x3a, 0x2d, 0x9d, 0xe8, 0xee, 0xeb, 0x44, 0xaf, 0xde, 0x89, 0xd7, 0x70, 0x62, 0xdc, 0xcf, 0x91,
	0xba, 0x70, 0x90, 0x6d, 0xd7, 0x6b, 0x96, 0x65, 0x02, 0xc0, 0xe1, 0x4a, 0x99, 0xe4, 0x2b, 0x98,
	0x5c, 0xb3, 0x5c, 0x84, 0xb2, 0x4c, 0x81, 0x9d, 0x43, 0x3f, 0xbe, 0xbb, 0xcb, 0x98, 0xaa, 0xac,
	0xb0, 0x78, 0xc1, 0x61, 0xf0, 0x3e, 0xc8, 0x05, 0x62, 0x67, 0x25, 0x0d, 0x72, 0x01, 0xc7, 0x7a,
	0x0a, 0x7e, 0xdf, 0x02, 0x0e, 0x72, 0x69, 0xbb, 0xf6, 0xa2, 0xbb, 0x1c, 0xbe, 0xe9, 0x53, 0x89,
	0x46, 0xb9, 0xc9, 0x59, 0x75, 0x48, 0xdd, 0xea, 0x16, 0x87, 0xbe, 0x79, 0x5b, 0xbc, 0x92, 0x32,
	0xc9, 0x39, 0x1c, 0x55, 0xc1, 0x3c, 0xff, 0x4b, 0x70, 0xc4, 0x37, 0x11, 0x58, 0x65, 0x97, 0x4e,
	0xf2, 0xa7, 0x0d, 0xf8, 0x63, 0xb2, 0xa9, 0xb7, 0xe0, 0xd1, 0xfc, 0xff, 0x23, 0x4d, 0x5e, 0xc3,
	0x89, 0x81, 0xac, 0xbd, 0x39, 0x14, 0xf0, 0x2d, 0x0b, 0xd9, 0x53, 0xeb, 0xe0, 0xd9, 0x8d, 0xf8,
	0xf6, 0xec, 0x7f, 0xd9, 0x6a, 0x52, 0x2e, 0x83, 0xa8, 0x6d, 0x4e, 0x6b, 0x7c, 0xed, 0x34, 0xf9,
	0x6a, 0xf2, 0xb2, 0xdb, 0xe0, 0xe5, 0x63, 0x7c, 0xd6, 0xf9, 0xea, 0xb4, 0xf1, 0xb5, 0x5f, 0xe7,
	0xeb, 0x29, 0x8c, 0x35, 0xec, 0xed, 0x85, 0x7e, 0x01, 0xe3, 0x6b, 0x96, 0x5f, 0x06, 0xd1, 0x33,
	0x07, 0x7c, 0x09, 0xa3, 0xf2, 0xbc, 0xbc, 0xa9, 0x77, 0x1b, 0x44, 0x6a, 0xb4, 0x7b, 0x94, 0x43,
	0x10, 0x1e, 0xf2, 0x4a, 0x0c, 0xaa, 0xf6, 0x9c, 0x33, 0x70, 0x6e, 0x83, 0xa8, 0xec, 0x94, 0x34,
	0xc8, 0x2b, 0x18, 0xaa, 0x30, 0x9e, 0x6f, 0x0e, 0xdd, 0xdb, 0x20, 0x2a, 0x66, 0x59, 0xa6, 0xe3,
	0x0e, 0xf2, 0x8f, 0xad, 0xa6, 0x65, 0x5f, 0xc6, 0x67, 0xae, 0x59, 0xb3, 0x6d, 0xbd, 0x96, 0xb6,
	0x39, 0x8f, 0xb6, 0xed, 0xbf, 0xad, 0xd9, 0x53, 0x18, 0x6b, 0x15, 0xb5, 0xb7, 0x6d, 0xa9, 0xa6,
	0x79, 0xef, 0x7b, 0x9e, 0xc2, 0x58, 0x8b, 0x6c, 0xcf, 0x7a, 0x26, 0xb6, 0xb9, 0x20, 0xc8, 0xe5,
	0xc3, 0x55, 0xbc, 0x61, 0xda, 0xe4, 0x0b, 0xc2, 0xdb, 0x15, 0xe1, 0xc9, 0x05, 0x4c, 0xeb, 0xc1,
	0xfb, 0xd7, 0xcf, 0xb7, 0x30, 0xbd, 0x8a, 0xc3, 0x90, 0xad, 0x73, 0xc1, 0x79, 0x6d, 0xe6, 0xb6,
	0x19, 0x4b, 0x4b, 0xec, 0x85, 0xc5, 0x9b, 0x20, 0xce, 0xf1, 0xf4, 0x99, 0xdb, 0x59, 0x74, 0x79,
	0x13, 0x2a, 0x0f, 0x39, 0x87, 0x89, 0x99, 0xae, 0xbd, 0xbe, 0x9f, 0x60, 0x76, 0x93, 0xfa, 0x51,
	0x76, 0xc7, 0xd2, 0x27, 0x5d, 0x3f, 0x03, 0x27, 0xb9, 0x8f, 0x23, 0x35, 0x3a, 0xd2, 0x10, 0x5e,
	0x4d, 0x7f, 0xa4, 0xc1, 0xf7, 0x51, 0x2d, 0x77, 0x2b, 0x96, 0x37, 0x7f, 0xf4, 0x61, 0x24, 0x02,
	0x7f, 0x60, 0xe9, 0x2f, 0xc1, 0x9a, 0xe1, 0xd7, 0x70, 0x52, 0x97, 0x52, 0x74, 0xe9, 0x23, 0xc2,
	0xeb, 0xcd, 0xe9, 0x4e, 0xdd, 0x25, 0x16, 0x7e, 0x0a, 0x43, 0x4d, 0xe3, 0x70, 0x4a, 0x9b, 0x8a,
	0xeb, 0x4d, 0x68, 0x5d, 0x06, 0x89, 0x85, 0x9f, 0x00, 0x54, 0x5a, 0x85, 0x48, 0x1b, 0xda, 0xe7,
	0x9d, 0xd0, 0x9a, 0x98, 0x11, 0x0b, 0xbf, 0x14, 0x0b, 0x44, 0x1b, 0x03, 0x9c, 0xd3, 0x9d, 0x43,
	0xe4, 0xcd, 0xe8, 0x8e, 0x79, 0x21, 0x16, 0x52, 0x38, 0x54, 0x1f, 0xb0, 0xba, 0x41, 0x9d, 0x1a,
	0x53, 0x43, 0xde, 0x64, 0x81, 0x9a, 0x4e, 0xe0, 0x94, 0x36, 0xf5, 0xcc, 0x9b, 0xd0, 0xba, 0x94,
	0xc8, 0x83, 0x9a, 0x04, 0xe0, 0x94, 0x36, 0x05, 0xc4, 0x9b, 0xd0, 0xba, 0x4a, 0x10, 0x0b, 0x3f,
	0x86, 0x41, 0xb9, 0x50, 0x51, 0xbd, 0x5d, 0xc5, 0x3c, 0xef, 0x98, 0x9a, 0xfb, 0x96, 0x58, 0x78,
	0x06, 0x07, 0xc5, 0x5e, 0xc4, 0x63, 0x6a, 0x6e, 0x58, 0xef, 0x88, 0xea, 0x2b, 0x93, 0x58, 0xb8,
	0x84, 0xbe, 0xf4, 0xe0, 0x98, 0x1a, 0x3b, 0xd2, 0x1b, 0x51, 0x6d, 0x19, 0x4a, 0x24, 0xe5, 0x8e,
	0x40, 0x55, 0xa4, 0x81, 0xc4, 0x5c, 0x21, 0xf2, 0x48, 0xb9, 0x00, 0x50, 0x95, 0x67, 0x1c, 0x31,
	0xf7, 0x03, 0xb1, 0xf0, 0x33, 0x18, 0xe9, 0xb4, 0xc2, 0x19, 0xdd, 0x41, 0x5a, 0x0f, 0x69, 0x83,
	0x7b, 0xc4, 0xc2, 0xcf, 0xe1, 0xc8, 0xe0, 0x01, 0xbe, 0xa0, 0xbb, 0x38, 0xe7, 0x4d, 0x69, 0x93,
	0x2e, 0xc4, 0xba, 0xed, 0x8b, 0xbf, 0xed, 0x17, 0xff, 0x06, 0x00, 0x00, 0xff, 0xff, 0xf1, 0x39,
	0xd8, 0x57, 0xc5, 0x0b, 0x00, 0x00,
}

// Reference imports to suppress errors if they are not otherwise used.
var _ context.Context
var _ grpc.ClientConn

// This is a compile-time assertion to ensure that this generated file
// is compatible with the grpc package it is being compiled against.
const _ = grpc.SupportPackageIsVersion4

// PointServiceClient is the client API for PointService service.
//
// For semantics around ctx use and closing/ending streaming RPCs, please refer to https://godoc.org/google.golang.org/grpc#ClientConn.NewStream.
type PointServiceClient interface {
	GetNewTrashToday(ctx context.Context, in *GetNewTrashTodayRequest, opts ...grpc.CallOption) (*GetNewTrashTodayReply, error)
	CreateTrash(ctx context.Context, in *CreateTrashRequest, opts ...grpc.CallOption) (*CreateTrashReply, error)
	GetTrashes(ctx context.Context, in *GetTrashesRequest, opts ...grpc.CallOption) (*GetTrashesReply, error)
	GetTrashByCode(ctx context.Context, in *GetTrashByCodeRequest, opts ...grpc.CallOption) (*GetTrashByCodeReply, error)
	GetTrash(ctx context.Context, in *GetTrashRequest, opts ...grpc.CallOption) (*GetTrashReply, error)
	UpdateTrash(ctx context.Context, in *UpdateTrashRequest, opts ...grpc.CallOption) (*UpdateTrashReply, error)
	DeleteTrash(ctx context.Context, in *DeleteTrashRequest, opts ...grpc.CallOption) (*DeleteTrashReply, error)
	CreateBin(ctx context.Context, in *CreateBinRequest, opts ...grpc.CallOption) (*CreateBinReply, error)
	GetBins(ctx context.Context, in *GetBinsRequest, opts ...grpc.CallOption) (*GetBinsReply, error)
	GetBin(ctx context.Context, in *GetBinRequest, opts ...grpc.CallOption) (*GetBinReply, error)
	UpdateBin(ctx context.Context, in *UpdateBinRequest, opts ...grpc.CallOption) (*UpdateBinReply, error)
	DeleteBin(ctx context.Context, in *DeleteBinRequest, opts ...grpc.CallOption) (*DeleteBinReply, error)
	CollectPoint(ctx context.Context, in *CollectPointRequest, opts ...grpc.CallOption) (*CollectPointReply, error)
	TransferPoint(ctx context.Context, in *TransferPointRequest, opts ...grpc.CallOption) (*TransferPointReply, error)
}

type pointServiceClient struct {
	cc *grpc.ClientConn
}

func NewPointServiceClient(cc *grpc.ClientConn) PointServiceClient {
	return &pointServiceClient{cc}
}

func (c *pointServiceClient) GetNewTrashToday(ctx context.Context, in *GetNewTrashTodayRequest, opts ...grpc.CallOption) (*GetNewTrashTodayReply, error) {
	out := new(GetNewTrashTodayReply)
	err := c.cc.Invoke(ctx, "/PointService/GetNewTrashToday", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *pointServiceClient) CreateTrash(ctx context.Context, in *CreateTrashRequest, opts ...grpc.CallOption) (*CreateTrashReply, error) {
	out := new(CreateTrashReply)
	err := c.cc.Invoke(ctx, "/PointService/CreateTrash", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *pointServiceClient) GetTrashes(ctx context.Context, in *GetTrashesRequest, opts ...grpc.CallOption) (*GetTrashesReply, error) {
	out := new(GetTrashesReply)
	err := c.cc.Invoke(ctx, "/PointService/GetTrashes", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *pointServiceClient) GetTrashByCode(ctx context.Context, in *GetTrashByCodeRequest, opts ...grpc.CallOption) (*GetTrashByCodeReply, error) {
	out := new(GetTrashByCodeReply)
	err := c.cc.Invoke(ctx, "/PointService/GetTrashByCode", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *pointServiceClient) GetTrash(ctx context.Context, in *GetTrashRequest, opts ...grpc.CallOption) (*GetTrashReply, error) {
	out := new(GetTrashReply)
	err := c.cc.Invoke(ctx, "/PointService/GetTrash", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *pointServiceClient) UpdateTrash(ctx context.Context, in *UpdateTrashRequest, opts ...grpc.CallOption) (*UpdateTrashReply, error) {
	out := new(UpdateTrashReply)
	err := c.cc.Invoke(ctx, "/PointService/UpdateTrash", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *pointServiceClient) DeleteTrash(ctx context.Context, in *DeleteTrashRequest, opts ...grpc.CallOption) (*DeleteTrashReply, error) {
	out := new(DeleteTrashReply)
	err := c.cc.Invoke(ctx, "/PointService/DeleteTrash", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *pointServiceClient) CreateBin(ctx context.Context, in *CreateBinRequest, opts ...grpc.CallOption) (*CreateBinReply, error) {
	out := new(CreateBinReply)
	err := c.cc.Invoke(ctx, "/PointService/CreateBin", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *pointServiceClient) GetBins(ctx context.Context, in *GetBinsRequest, opts ...grpc.CallOption) (*GetBinsReply, error) {
	out := new(GetBinsReply)
	err := c.cc.Invoke(ctx, "/PointService/GetBins", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *pointServiceClient) GetBin(ctx context.Context, in *GetBinRequest, opts ...grpc.CallOption) (*GetBinReply, error) {
	out := new(GetBinReply)
	err := c.cc.Invoke(ctx, "/PointService/GetBin", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *pointServiceClient) UpdateBin(ctx context.Context, in *UpdateBinRequest, opts ...grpc.CallOption) (*UpdateBinReply, error) {
	out := new(UpdateBinReply)
	err := c.cc.Invoke(ctx, "/PointService/UpdateBin", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *pointServiceClient) DeleteBin(ctx context.Context, in *DeleteBinRequest, opts ...grpc.CallOption) (*DeleteBinReply, error) {
	out := new(DeleteBinReply)
	err := c.cc.Invoke(ctx, "/PointService/DeleteBin", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *pointServiceClient) CollectPoint(ctx context.Context, in *CollectPointRequest, opts ...grpc.CallOption) (*CollectPointReply, error) {
	out := new(CollectPointReply)
	err := c.cc.Invoke(ctx, "/PointService/CollectPoint", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *pointServiceClient) TransferPoint(ctx context.Context, in *TransferPointRequest, opts ...grpc.CallOption) (*TransferPointReply, error) {
	out := new(TransferPointReply)
	err := c.cc.Invoke(ctx, "/PointService/TransferPoint", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// PointServiceServer is the server API for PointService service.
type PointServiceServer interface {
	GetNewTrashToday(context.Context, *GetNewTrashTodayRequest) (*GetNewTrashTodayReply, error)
	CreateTrash(context.Context, *CreateTrashRequest) (*CreateTrashReply, error)
	GetTrashes(context.Context, *GetTrashesRequest) (*GetTrashesReply, error)
	GetTrashByCode(context.Context, *GetTrashByCodeRequest) (*GetTrashByCodeReply, error)
	GetTrash(context.Context, *GetTrashRequest) (*GetTrashReply, error)
	UpdateTrash(context.Context, *UpdateTrashRequest) (*UpdateTrashReply, error)
	DeleteTrash(context.Context, *DeleteTrashRequest) (*DeleteTrashReply, error)
	CreateBin(context.Context, *CreateBinRequest) (*CreateBinReply, error)
	GetBins(context.Context, *GetBinsRequest) (*GetBinsReply, error)
	GetBin(context.Context, *GetBinRequest) (*GetBinReply, error)
	UpdateBin(context.Context, *UpdateBinRequest) (*UpdateBinReply, error)
	DeleteBin(context.Context, *DeleteBinRequest) (*DeleteBinReply, error)
	CollectPoint(context.Context, *CollectPointRequest) (*CollectPointReply, error)
	TransferPoint(context.Context, *TransferPointRequest) (*TransferPointReply, error)
}

// UnimplementedPointServiceServer can be embedded to have forward compatible implementations.
type UnimplementedPointServiceServer struct {
}

func (*UnimplementedPointServiceServer) GetNewTrashToday(ctx context.Context, req *GetNewTrashTodayRequest) (*GetNewTrashTodayReply, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetNewTrashToday not implemented")
}
func (*UnimplementedPointServiceServer) CreateTrash(ctx context.Context, req *CreateTrashRequest) (*CreateTrashReply, error) {
	return nil, status.Errorf(codes.Unimplemented, "method CreateTrash not implemented")
}
func (*UnimplementedPointServiceServer) GetTrashes(ctx context.Context, req *GetTrashesRequest) (*GetTrashesReply, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetTrashes not implemented")
}
func (*UnimplementedPointServiceServer) GetTrashByCode(ctx context.Context, req *GetTrashByCodeRequest) (*GetTrashByCodeReply, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetTrashByCode not implemented")
}
func (*UnimplementedPointServiceServer) GetTrash(ctx context.Context, req *GetTrashRequest) (*GetTrashReply, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetTrash not implemented")
}
func (*UnimplementedPointServiceServer) UpdateTrash(ctx context.Context, req *UpdateTrashRequest) (*UpdateTrashReply, error) {
	return nil, status.Errorf(codes.Unimplemented, "method UpdateTrash not implemented")
}
func (*UnimplementedPointServiceServer) DeleteTrash(ctx context.Context, req *DeleteTrashRequest) (*DeleteTrashReply, error) {
	return nil, status.Errorf(codes.Unimplemented, "method DeleteTrash not implemented")
}
func (*UnimplementedPointServiceServer) CreateBin(ctx context.Context, req *CreateBinRequest) (*CreateBinReply, error) {
	return nil, status.Errorf(codes.Unimplemented, "method CreateBin not implemented")
}
func (*UnimplementedPointServiceServer) GetBins(ctx context.Context, req *GetBinsRequest) (*GetBinsReply, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetBins not implemented")
}
func (*UnimplementedPointServiceServer) GetBin(ctx context.Context, req *GetBinRequest) (*GetBinReply, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetBin not implemented")
}
func (*UnimplementedPointServiceServer) UpdateBin(ctx context.Context, req *UpdateBinRequest) (*UpdateBinReply, error) {
	return nil, status.Errorf(codes.Unimplemented, "method UpdateBin not implemented")
}
func (*UnimplementedPointServiceServer) DeleteBin(ctx context.Context, req *DeleteBinRequest) (*DeleteBinReply, error) {
	return nil, status.Errorf(codes.Unimplemented, "method DeleteBin not implemented")
}
func (*UnimplementedPointServiceServer) CollectPoint(ctx context.Context, req *CollectPointRequest) (*CollectPointReply, error) {
	return nil, status.Errorf(codes.Unimplemented, "method CollectPoint not implemented")
}
func (*UnimplementedPointServiceServer) TransferPoint(ctx context.Context, req *TransferPointRequest) (*TransferPointReply, error) {
	return nil, status.Errorf(codes.Unimplemented, "method TransferPoint not implemented")
}

func RegisterPointServiceServer(s *grpc.Server, srv PointServiceServer) {
	s.RegisterService(&_PointService_serviceDesc, srv)
}

func _PointService_GetNewTrashToday_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(GetNewTrashTodayRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(PointServiceServer).GetNewTrashToday(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/PointService/GetNewTrashToday",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(PointServiceServer).GetNewTrashToday(ctx, req.(*GetNewTrashTodayRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _PointService_CreateTrash_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(CreateTrashRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(PointServiceServer).CreateTrash(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/PointService/CreateTrash",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(PointServiceServer).CreateTrash(ctx, req.(*CreateTrashRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _PointService_GetTrashes_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(GetTrashesRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(PointServiceServer).GetTrashes(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/PointService/GetTrashes",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(PointServiceServer).GetTrashes(ctx, req.(*GetTrashesRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _PointService_GetTrashByCode_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(GetTrashByCodeRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(PointServiceServer).GetTrashByCode(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/PointService/GetTrashByCode",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(PointServiceServer).GetTrashByCode(ctx, req.(*GetTrashByCodeRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _PointService_GetTrash_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(GetTrashRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(PointServiceServer).GetTrash(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/PointService/GetTrash",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(PointServiceServer).GetTrash(ctx, req.(*GetTrashRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _PointService_UpdateTrash_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(UpdateTrashRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(PointServiceServer).UpdateTrash(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/PointService/UpdateTrash",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(PointServiceServer).UpdateTrash(ctx, req.(*UpdateTrashRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _PointService_DeleteTrash_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(DeleteTrashRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(PointServiceServer).DeleteTrash(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/PointService/DeleteTrash",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(PointServiceServer).DeleteTrash(ctx, req.(*DeleteTrashRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _PointService_CreateBin_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(CreateBinRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(PointServiceServer).CreateBin(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/PointService/CreateBin",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(PointServiceServer).CreateBin(ctx, req.(*CreateBinRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _PointService_GetBins_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(GetBinsRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(PointServiceServer).GetBins(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/PointService/GetBins",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(PointServiceServer).GetBins(ctx, req.(*GetBinsRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _PointService_GetBin_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(GetBinRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(PointServiceServer).GetBin(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/PointService/GetBin",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(PointServiceServer).GetBin(ctx, req.(*GetBinRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _PointService_UpdateBin_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(UpdateBinRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(PointServiceServer).UpdateBin(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/PointService/UpdateBin",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(PointServiceServer).UpdateBin(ctx, req.(*UpdateBinRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _PointService_DeleteBin_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(DeleteBinRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(PointServiceServer).DeleteBin(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/PointService/DeleteBin",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(PointServiceServer).DeleteBin(ctx, req.(*DeleteBinRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _PointService_CollectPoint_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(CollectPointRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(PointServiceServer).CollectPoint(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/PointService/CollectPoint",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(PointServiceServer).CollectPoint(ctx, req.(*CollectPointRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _PointService_TransferPoint_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(TransferPointRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(PointServiceServer).TransferPoint(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/PointService/TransferPoint",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(PointServiceServer).TransferPoint(ctx, req.(*TransferPointRequest))
	}
	return interceptor(ctx, in, info, handler)
}

var _PointService_serviceDesc = grpc.ServiceDesc{
	ServiceName: "PointService",
	HandlerType: (*PointServiceServer)(nil),
	Methods: []grpc.MethodDesc{
		{
			MethodName: "GetNewTrashToday",
			Handler:    _PointService_GetNewTrashToday_Handler,
		},
		{
			MethodName: "CreateTrash",
			Handler:    _PointService_CreateTrash_Handler,
		},
		{
			MethodName: "GetTrashes",
			Handler:    _PointService_GetTrashes_Handler,
		},
		{
			MethodName: "GetTrashByCode",
			Handler:    _PointService_GetTrashByCode_Handler,
		},
		{
			MethodName: "GetTrash",
			Handler:    _PointService_GetTrash_Handler,
		},
		{
			MethodName: "UpdateTrash",
			Handler:    _PointService_UpdateTrash_Handler,
		},
		{
			MethodName: "DeleteTrash",
			Handler:    _PointService_DeleteTrash_Handler,
		},
		{
			MethodName: "CreateBin",
			Handler:    _PointService_CreateBin_Handler,
		},
		{
			MethodName: "GetBins",
			Handler:    _PointService_GetBins_Handler,
		},
		{
			MethodName: "GetBin",
			Handler:    _PointService_GetBin_Handler,
		},
		{
			MethodName: "UpdateBin",
			Handler:    _PointService_UpdateBin_Handler,
		},
		{
			MethodName: "DeleteBin",
			Handler:    _PointService_DeleteBin_Handler,
		},
		{
			MethodName: "CollectPoint",
			Handler:    _PointService_CollectPoint_Handler,
		},
		{
			MethodName: "TransferPoint",
			Handler:    _PointService_TransferPoint_Handler,
		},
	},
	Streams:  []grpc.StreamDesc{},
	Metadata: "point.proto",
}
